<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>Exe</OutputType>
    <TargetFramework>net9.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
    <AllowUnsafeBlocks>False</AllowUnsafeBlocks>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.ML.OnnxRuntime.Gpu" Version="1.22.1" />
    <PackageReference Include="Microsoft.ML.OnnxRuntime.Gpu.Windows" Version="1.22.1" />
    <PackageReference Include="pythonnet" Version="3.0.5" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\XPrint.Image\XPrint.Image.csproj" />
  </ItemGroup>

</Project>
